
#ifndef PKGMAN_H
#define PKGMAN_H 1

struct package {
	char *name, *version;
	char *installed_version;
	int is_installed, disk_number;
	int action; /* -1=remove, 0=nothing, 2=install */
	struct package *next;
};

struct directory_entry {
	union {
		struct package * pkg;
		struct directory *dir;
	} content;
	int content_is_subdir;
	struct directory_entry *next;
};

struct directory {
	char *name;
	int is_open_in_gui;
	struct directory_entry *list;
	struct directory *next;
};

extern struct package * packages;
extern struct directory * directories;
extern struct directory * rootdir;
extern int directory_entry_count;
extern int max_disk_number;

extern char * config;
extern char * targetdir;
extern char * sourcedev;
extern char * sourcedir;
extern char * sourceopt;

int read_packages();
void print_dirtree(struct directory * dir, int blanks);
int do_selection();

#endif /* PKGMAN_H */

